summaryrefslogtreecommitdiffstats
path: root/source/ap/alsa-utils
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/alsa-utils')
-rwxr-xr-xsource/ap/alsa-utils/alsa-utils.SlackBuild50
-rw-r--r--source/ap/alsa-utils/alsa-utils.alsaconf.diff50
2 files changed, 62 insertions, 38 deletions
diff --git a/source/ap/alsa-utils/alsa-utils.SlackBuild b/source/ap/alsa-utils/alsa-utils.SlackBuild
index c918ba526..14398aab0 100755
--- a/source/ap/alsa-utils/alsa-utils.SlackBuild
+++ b/source/ap/alsa-utils/alsa-utils.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,33 +21,47 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.0.18
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo alsa-utils-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-alsa-utils
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "armel" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-alsa-utils
-
rm -rf $PKG
mkdir -p $TMP $PKG
-
cd $TMP
rm -rf alsa-utils-$VERSION
-tar xvf $CWD/alsa-utils-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/alsa-utils-$VERSION.tar.?z* || exit 1
cd alsa-utils-$VERSION || exit 1
zcat $CWD/alsa-utils.alsaconf.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit
@@ -92,12 +106,20 @@ fi
mkdir -p $PKG/usr/doc/alsa-utils-$VERSION
cp -a \
- COPYING ChangeLog INSTALL TODO \
+ COPYING INSTALL TODO \
seq/aconnect/README.aconnect \
seq/aseqnet/README.aseqnet \
$PKG/usr/doc/alsa-utils-$VERSION
cp -a alsamixer/README $PKG/usr/doc/alsa-utils-$VERSION/README.alsamixer
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/ap/alsa-utils/alsa-utils.alsaconf.diff b/source/ap/alsa-utils/alsa-utils.alsaconf.diff
index c20bf72e7..92e05b832 100644
--- a/source/ap/alsa-utils/alsa-utils.alsaconf.diff
+++ b/source/ap/alsa-utils/alsa-utils.alsaconf.diff
@@ -1,27 +1,6 @@
---- ./alsaconf/alsaconf.in.orig 2007-05-31 03:07:21.000000000 -0500
-+++ ./alsaconf/alsaconf.in 2007-06-05 19:01:03.000000000 -0500
-@@ -50,7 +50,9 @@
- }
-
- # Check for GNU/Linux distributions
--if [ -f /etc/SuSE-release ]; then
-+if [ -f /etc/slackware-version ]; then
-+ distribution="slackware"
-+elif [ -f /etc/SuSE-release ]; then
- distribution="suse"
- suse_version=$(grep 'VERSION = ' /etc/SuSE-release | sed -e s/'VERSION = '//)
- elif [ -f /etc/UnitedLinux-release ]; then
-@@ -490,6 +492,8 @@
-
- if [ "$distribution" = "debian" ]; then
- rcalsasound=/etc/init.d/alsa
-+elif [ -x /etc/rc.d/rc.alsa ]; then
-+ rcalsasound=/etc/rc.d/rc.alsa
- elif [ -x /etc/init.d/alsasound ]; then
- rcalsasound=/etc/init.d/alsasound
- elif [ -x /usr/sbin/rcalsasound ]; then
---- ./alsaconf/alsaconf.8.orig 2007-05-31 03:07:21.000000000 -0500
-+++ ./alsaconf/alsaconf.8 2007-06-05 19:01:03.000000000 -0500
+diff -Nur alsa-utils-1.0.21.orig/alsaconf/alsaconf.8 alsa-utils-1.0.21/alsaconf/alsaconf.8
+--- alsa-utils-1.0.21.orig/alsaconf/alsaconf.8 2009-08-31 10:13:36.000000000 -0500
++++ alsa-utils-1.0.21/alsaconf/alsaconf.8 2009-11-11 23:45:11.943377777 -0600
@@ -16,8 +16,6 @@
This manual page documents briefly the
.B alsaconf
@@ -52,3 +31,26 @@
-This manual page was written by Jordi Mallach <jordi@debian.org>,
-for the Debian system (but may be used by others).
+This manual page was written by Jordi Mallach <jordi@debian.org>.
+diff -Nur alsa-utils-1.0.21.orig/alsaconf/alsaconf.in alsa-utils-1.0.21/alsaconf/alsaconf.in
+--- alsa-utils-1.0.21.orig/alsaconf/alsaconf.in 2009-08-31 10:13:36.000000000 -0500
++++ alsa-utils-1.0.21/alsaconf/alsaconf.in 2009-11-11 23:44:21.081360666 -0600
+@@ -50,7 +50,9 @@
+ }
+
+ # Check for GNU/Linux distributions
+-if [ -f /etc/SuSE-release ]; then
++if [ -f /etc/slackware-version ]; then
++ distribution="slackware"
++elif [ -f /etc/SuSE-release ]; then
+ distribution="suse"
+ suse_version=$(grep 'VERSION = ' /etc/SuSE-release | sed -e s/'VERSION = '//)
+ elif [ -f /etc/UnitedLinux-release ]; then
+@@ -305,7 +307,7 @@
+ elif [ "$kernel" = "new" ]; then
+ cfgfile="/etc/modprobe.conf"
+ if [ -d /etc/modprobe.d ]; then
+- cfgout="/etc/modprobe.d/50-sound.conf"
++ cfgout="/etc/modprobe.d/sound.conf"
+ cfgoldout="/etc/modprobe.d/sound"
+ if [ ! -f $cfgout ]; then
+ modver=$(modprobe -V | sed -e's/^module-init-tools version //')